> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://fyno.io/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://fyno.io/docs/_mcp/server.

# Remove Value From List

POST https://api.fyno.io/v1/{WSID}/{version}/profiles/properties/list-remove
Content-Type: application/json

This API enables you to remove existing values from the list type properties of your users listed in your [User Profiles](../user-profiles-overview). If the specified distinct ID or list property doesn't exist, it simply accepts the remove request and ignores it.

**Note:** This API can only be used to remove values from list and can remove only one value from a property at a time. To unset (nullify) other property types, please use [Unset User Property API.](./unset-user-property)


Reference: https://fyno.io/docs/api-reference/remove-value-from-list

## Authentication

- `Authorization` header (bearer token, required) — Enter your API Key. If you don't have it already, you can create one from the API Keys page within your Fyno account

## Request

### Path parameters

- `WSID` (string, required) — Enter your workspace ID. You can obtain this value from the API Keys page within your Fyno account.
- `version` (string, required) — Specify the version for which you would like to update the user property.

### Body (application/json)

This endpoint expects a remove_from_user_property_list.

- `$remove` (map from string to RemoveFromUserPropertyListFields, required) — Enter the property name as JSON key and the value to remove as JSON value
- `distinct_id` (string, required) — Enter the distinct ID that you use to identify the recipient.

## Response

### 202

Request has been accepted and will be processed asynchronously.

- `request_id` (string, required)

## Errors

### 400 Bad Request Error

$remove object is empty

- `_message` (string, required)
- `status` (string, required)

### 401 Unauthorized Error

API Key or Workspace ID is invalid. User is unauthorised.

- `_message` (string, required)
- `status` (string, required)

## Types

### RemoveFromUserPropertyListFields

## Examples

**Request**

```json
{
  "$remove": {
    "property_1": "some text",
    "property_2": 123,
    "property_3": 45.67,
    "property_4": "2020-10-01T18:30:00.000Z",
    "property_5": "2021-12-01",
    "property_n": "2021-11-01T13:35:00+02:00"
  },
  "distinct_id": "XXXXXXXX"
}
```

**Response**

```json
{
  "request_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
}
```

**SDK Code**

```python
import requests

url = "https://api.fyno.io/v1/FYXXXXXXXX/version/profiles/properties/list-remove"

payload = {
    "$remove": {
        "property_1": "some text",
        "property_2": 123,
        "property_3": 45.67,
        "property_4": "2020-10-01T18:30:00.000Z",
        "property_5": "2021-12-01",
        "property_n": "2021-11-01T13:35:00+02:00"
    },
    "distinct_id": "XXXXXXXX"
}
headers = {
    "Authorization": "Bearer <apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.fyno.io/v1/FYXXXXXXXX/version/profiles/properties/list-remove';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <apiKey>', 'Content-Type': 'application/json'},
  body: '{"$remove":{"property_1":"some text","property_2":123,"property_3":45.67,"property_4":"2020-10-01T18:30:00.000Z","property_5":"2021-12-01","property_n":"2021-11-01T13:35:00+02:00"},"distinct_id":"XXXXXXXX"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.fyno.io/v1/FYXXXXXXXX/version/profiles/properties/list-remove"

	payload := strings.NewReader("{\n  \"$remove\": {\n    \"property_1\": \"some text\",\n    \"property_2\": 123,\n    \"property_3\": 45.67,\n    \"property_4\": \"2020-10-01T18:30:00.000Z\",\n    \"property_5\": \"2021-12-01\",\n    \"property_n\": \"2021-11-01T13:35:00+02:00\"\n  },\n  \"distinct_id\": \"XXXXXXXX\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.fyno.io/v1/FYXXXXXXXX/version/profiles/properties/list-remove")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"$remove\": {\n    \"property_1\": \"some text\",\n    \"property_2\": 123,\n    \"property_3\": 45.67,\n    \"property_4\": \"2020-10-01T18:30:00.000Z\",\n    \"property_5\": \"2021-12-01\",\n    \"property_n\": \"2021-11-01T13:35:00+02:00\"\n  },\n  \"distinct_id\": \"XXXXXXXX\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.fyno.io/v1/FYXXXXXXXX/version/profiles/properties/list-remove")
  .header("Authorization", "Bearer <apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"$remove\": {\n    \"property_1\": \"some text\",\n    \"property_2\": 123,\n    \"property_3\": 45.67,\n    \"property_4\": \"2020-10-01T18:30:00.000Z\",\n    \"property_5\": \"2021-12-01\",\n    \"property_n\": \"2021-11-01T13:35:00+02:00\"\n  },\n  \"distinct_id\": \"XXXXXXXX\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.fyno.io/v1/FYXXXXXXXX/version/profiles/properties/list-remove', [
  'body' => '{
  "$remove": {
    "property_1": "some text",
    "property_2": 123,
    "property_3": 45.67,
    "property_4": "2020-10-01T18:30:00.000Z",
    "property_5": "2021-12-01",
    "property_n": "2021-11-01T13:35:00+02:00"
  },
  "distinct_id": "XXXXXXXX"
}',
  'headers' => [
    'Authorization' => 'Bearer <apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.fyno.io/v1/FYXXXXXXXX/version/profiles/properties/list-remove");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"$remove\": {\n    \"property_1\": \"some text\",\n    \"property_2\": 123,\n    \"property_3\": 45.67,\n    \"property_4\": \"2020-10-01T18:30:00.000Z\",\n    \"property_5\": \"2021-12-01\",\n    \"property_n\": \"2021-11-01T13:35:00+02:00\"\n  },\n  \"distinct_id\": \"XXXXXXXX\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "$remove": [
    "property_1": "some text",
    "property_2": 123,
    "property_3": 45.67,
    "property_4": "2020-10-01T18:30:00.000Z",
    "property_5": "2021-12-01",
    "property_n": "2021-11-01T13:35:00+02:00"
  ],
  "distinct_id": "XXXXXXXX"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.fyno.io/v1/FYXXXXXXXX/version/profiles/properties/list-remove")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```